<?php
	//// récupération d'une commande
	// Paramètre : L'identifiant de la commande à récupérer
	// Retourne :
	// - Commande trouvée 		> Elle est renvoyée sous forme de tableau associatif
	// - Commande non trouvée 	> Un tableau vide est renvoyé
	// - Erreur php/sql 		> L'erreur est affichée, false est renvoyé

	function getOneOrder( $orderNumber ) {

		global $pdo;

		// http://php.net/manual/fr/pdo.prepared-statements.php
		$stmt = $pdo->prepare("
		
			SELECT *
			FROM orders
			WHERE orderNumber = :orderNumber
			;
			
		");
		
		$stmt->bindParam(':orderNumber', $reqOrderNumber);
		
		try {

			$reqOrderNumber = $orderNumber;
			$stmt->execute();
			
			// Si aucune commande n'est trouvée, un tableau vide est renvoyé
			$retourRequete = $stmt->fetchAll();

			// Si la commande a bien été trouvée, on la renvoie, elle uniquement
			if( sizeof($retourRequete) > 0 ) {
				$retourRequete = $retourRequete[0];
			}
			
			return $retourRequete;
		}
		// http://php.net/manual/fr/class.pdoexception.php
		catch (PDOException $e) {

			$errorInfo = $stmt->errorInfo();
			// var_dump($errorInfo);
			
			echo "	<div class=\"sqlError\">
						<fieldset>
							<legend>Erreur sql ¯\_(ツ)_/¯</legend>
							<div class=\"content\">" . $errorInfo[2] . "</div>
						</fieldset>
					</div>
			";

			return false;
		}
	}
?>